PLASMOIDVIEWER(1)

NAME
plasmoidviewer - Run Plasma widgets in their own window

SYNOPSIS

plasmoidviewer [-c, --containment name] [-f, --formfactor name] [--list] [--list-wallpapers] [--list-containments] [-l, --location name] [-p, --pixmapcache size] [-s, --screenshot] [--screenshot-all] [-t, --theme name] [-w, --wallpaper name] [applet] [args] [--list-remote] [KDE Generic Options] [Qt Generic Options]

DESCRIPTION

plasmoidviewer is a graphical tool allowing developers to test Plasma applets.

Only installed applets will be found. kbuildsycoca4 may need to be run for newly-installed applets to be found.

OPTIONS

-c, --containment name
    Name of the containment plugin [null].

-f, --formfactor name
    The formfactor to use (horizontal, vertical, mediacenter or planar) [planar].

--list
    Displays a list of known applets.

--list-wallpapers
    Displays a list of known wallpapers.

--list-containments
    Displays a list of known containments.

-l, --location name
    The location constraint to start the Containment with (floating, desktop, fullscreen, top, bottom, left, right) [floating].

-p, --pixmapcache size
    The size in KB to set the pixmap cache to.

-s, --screenshot
    Takes a screenshot of the widget and saves it the working directory as <pluginname>.png.

-s, --screenshot-all
    Takes a screenshot of each widget and saves it the working directory as <pluginname>.png.

-t, --theme name
    Desktop SVG theme to use.

-w, --wallpaper name
    Name of the wallpaper plugin. Requires a containment plugin to be specified.

applet
    Name of applet to view; may refer to the plugin name or be a path (absolute or relative) to a package. If not provided, then an attempt is made to load a package from the current directory.

args
    Optional arguments of the applet to add.

--list-remote
    List zeroconf announced remote widgets.

SEE ALSO

More detailed user documentation is available from help:/plasma-desktop (either enter this URL into Konqueror, or run khelpcenter help:/plasma-desktop).

AUTHORS

plasmoidviewer was written by Aaron Seigo<aseigo@kde.org>.